All Hotel

View as Markdown
## Get All Supported Hotels Returns all hotels currently supported by AwardTool, including availability, cash and points pricing, location, ratings, and update information. ### Endpoint ``` POST https://apisv2.awardtoolapi.com/api/hotel_all ``` ### Request Fields `api_key` — API key used to authenticate the request. ### Response Fields Each item in `data` represents one hotel supported by AwardTool. `id` — AwardTool’s unique hotel identifier, such as `hyatt_kauai`. `hotel_id` — Hotel identifier used by the associated hotel loyalty program. `name` — Hotel’s display name. `brand` — Parent hotel brand or loyalty program, such as `hyatt` or `marriott`. `sub_brand` — Hotel’s sub-brand or collection, such as `Grand Hyatt`. This field may be omitted when unavailable. `availability` — Human-readable award-availability percentage, such as `89%`. `availability_num` — Award-availability percentage with greater numeric precision. `cash_min` — Lowest observed cash price. `cash_median` — Median observed cash price. `cash_max` — Highest observed cash price. `points_min` — Lowest observed points price. `points_median` — Median observed points price. `points_max` — Highest observed points price. `point_val_min` — Lowest observed redemption value in cents per point. `point_val_median` — Median observed redemption value in cents per point. `point_val_max` — Highest observed redemption value in cents per point. `formatted_address` — Hotel’s formatted street address and geographic area. `hotel_location` — Hotel’s geographic coordinates. - `latitude` — Hotel’s latitude. - `longitude` — Hotel’s longitude. `g_link` — Google Maps link for the hotel. `g_rating` — Hotel’s Google rating. `g_rating_total` — Total number of Google ratings or reviews. `image` — URL of the hotel image hosted by AwardTool. `popularity` — AwardTool popularity score used to rank hotels. Higher values indicate greater relative popularity. `update_date` — Date associated with the hotel data in `YYYY-MM-DD` format. `update_epoch` — Unix timestamp associated with the hotel record. `mid_cash_r` — Additional derived cash-rate value. This field may be omitted when unavailable.

Request

This endpoint expects an object.
api_keystringRequired